import 'package:aplus_chat/aplus_chat_sdk.dart';
import 'package:aplus_chat/helper/storages.dart';
import 'package:flutter/material.dart';

class HomeView extends StatefulWidget {
  const HomeView({Key? key}) : super(key: key);

  @override
  State<HomeView> createState() => _HomeViewState();
}

class _HomeViewState extends State<HomeView> {
  @override
  void initState() {
    APlusChatMain.getCount((unreadCount) {
      print(unreadCount);
    });
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    APlusChatMain.loginWithAPlusChat(
        userId: AppStorages.myUserId,
        secretKey:
        AppStorages.secKey,
        fcmToken: "",
        onSuccess: (suc) {},
        onError: (err) {},
        onConnectionFailed: (failed) {});
    return Scaffold(
      body: Center(
          child: InkWell(
              onTap: () {
                APlusChatMain.openAPlusChat(context);
              },
              child: const Text("Click to go chat"))),
    );
  }
}
